import{s as Bt,n as Vt,o as St}from"../chunks/scheduler.defa9a21.js";import{S as Ot,i as Ut,g as o,s as a,r as d,A as Gt,h as c,f as r,c as n,j as v,u as g,x as b,k as _,y as t,a as l,v as m,d as p,t as u,w as h}from"../chunks/index.fe795e71.js";import{D as k}from"../chunks/Docstring.170994c1.js";import{H as pt,E as zt}from"../chunks/EditOnGithub.0f575778.js";function Wt(ut){let M,Le,xe,Me,D,Ee,P,Ce,i,H,We,Y,ht="A base Tracker class to be used for all logging integration implementations.",qe,Z,ft=`Each function should take in <code>**kwargs</code> that will automatically be passed in from a base dictionary provided to
<a href="/docs/accelerate/v0.33.0/en/package_reference/accelerator#accelerate.Accelerator">Accelerator</a>.`,Fe,ee,vt="Should implement <code>name</code>, <code>requires_logging_directory</code>, and <code>tracker</code> properties such that:",Re,te,_t=`<code>name</code> (<code>str</code>): String representation of the tracker class name, such as “TensorBoard” <code>requires_logging_directory</code>
(<code>bool</code>): Whether the logger requires a directory to store their logs. <code>tracker</code> (<code>object</code>): Should return internal
tracking mechanism used by a tracker class (such as the <code>run</code> for wandb)`,je,re,kt=`Implementations can also include a <code>main_process_only</code> (<code>bool</code>) attribute to toggle if relevent logging, init, and
other functions should occur on the main process or across all processes (by default will use <code>True</code>)`,Ke,E,N,Je,ae,bt=`Should run any finalizing functions within the tracking API. If the API should not have one, just don’t
overwrite that method.`,Xe,C,B,Qe,ne,$t="Logs <code>values</code> to the current run. Base <code>log</code> implementations of a tracking API should go in here, along with\nspecial behavior for the `step parameter.",Ye,I,V,Ze,oe,Tt=`Logs <code>values</code> as hyperparameters for the run. Implementations should use the experiment configuration
functionality of a tracking API.`,Ie,S,Ae,T,O,et,ce,wt="A <code>Tracker</code> class that supports <code>tensorboard</code>. Should be initialized at the start of your script.",tt,se,U,De,w,G,rt,ie,xt="A <code>Tracker</code> class that supports <code>wandb</code>. Should be initialized at the start of your script.",at,le,z,Pe,$,W,nt,de,yt="A <code>Tracker</code> class that supports <code>comet_ml</code>. Should be initialized at the start of your script.",ot,ge,Lt="API keys must be stored in a Comet config file.",ct,me,q,He,x,F,st,pe,Mt="A <code>Tracker</code> class that supports <code>aim</code>. Should be initialized at the start of your script.",it,ue,R,Ne,y,j,lt,he,Et="A <code>Tracker</code> class that supports <code>mlflow</code>. Should be initialized at the start of your script.",dt,fe,K,Be,L,J,gt,ve,Ct="A <code>Tracker</code> class that supports <code>clearml</code>. Should be initialized at the start of your script.",mt,_e,X,Ve,Q,Se,ye,Oe;return D=new pt({props:{title:"Experiment Tracking",local:"experiment-tracking",headingTag:"h1"}}),P=new pt({props:{title:"The Base Tracker Class",local:"accelerate.tracking.GeneralTracker",headingTag:"h2"}}),H=new k({props:{name:"class accelerate.tracking.GeneralTracker",anchor:"accelerate.tracking.GeneralTracker",parameters:[{name:"_blank",val:" = False"}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L91"}}),N=new k({props:{name:"finish",anchor:"accelerate.tracking.GeneralTracker.finish",parameters:[],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L157"}}),B=new k({props:{name:"log",anchor:"accelerate.tracking.GeneralTracker.log",parameters:[{name:"values",val:": dict"},{name:"step",val:": Optional"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.log.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>str</code>, <code>float</code>, or <code>int</code>) &#x2014;
Values to be logged as key-value pairs. The values need to have type <code>str</code>, <code>float</code>, or <code>int</code>.`,name:"values"},{anchor:"accelerate.tracking.GeneralTracker.log.step",description:`<strong>step</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The run step. If included, the log will be affiliated with this step.`,name:"step"}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L144"}}),V=new k({props:{name:"store_init_configuration",anchor:"accelerate.tracking.GeneralTracker.store_init_configuration",parameters:[{name:"values",val:": dict"}],parametersDescription:[{anchor:"accelerate.tracking.GeneralTracker.store_init_configuration.values",description:`<strong>values</strong> (Dictionary <code>str</code> to <code>bool</code>, <code>str</code>, <code>float</code> or <code>int</code>) &#x2014;
Values to be stored as initial hyperparameters as key-value pairs. The values need to have type <code>bool</code>,
<code>str</code>, <code>float</code>, <code>int</code>, or <code>None</code>.`,name:"values"}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L132"}}),S=new pt({props:{title:"Integrated Trackers",local:"accelerate.tracking.TensorBoardTracker",headingTag:"h2"}}),O=new k({props:{name:"class accelerate.tracking.TensorBoardTracker",anchor:"accelerate.tracking.TensorBoardTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.TensorBoardTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run`,name:"run_name"},{anchor:"accelerate.tracking.TensorBoardTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code>, <code>os.PathLike</code>) &#x2014;
Location for TensorBoard logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.TensorBoardTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>tensorboard.SummaryWriter.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L165"}}),U=new k({props:{name:"__init__",anchor:"accelerate.tracking.TensorBoardTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L181"}}),G=new k({props:{name:"class accelerate.tracking.WandBTracker",anchor:"accelerate.tracking.WandBTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.WandBTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.WandBTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>wandb.init</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L276"}}),z=new k({props:{name:"__init__",anchor:"accelerate.tracking.WandBTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L291"}}),W=new k({props:{name:"class accelerate.tracking.CometMLTracker",anchor:"accelerate.tracking.CometMLTracker",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.CometMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.CometMLTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>Experiment.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L399"}}),q=new k({props:{name:"__init__",anchor:"accelerate.tracking.CometMLTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L415"}}),F=new k({props:{name:"class accelerate.tracking.AimTracker",anchor:"accelerate.tracking.AimTracker",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union = '.'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.AimTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>) &#x2014;
The name of the experiment run.`,name:"run_name"},{anchor:"accelerate.tracking.AimTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional key word arguments passed along to the <code>Run.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L480"}}),R=new k({props:{name:"__init__",anchor:"accelerate.tracking.AimTracker.__init__",parameters:[{name:"run_name",val:": str"},{name:"logging_dir",val:": Union = '.'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L494"}}),j=new k({props:{name:"class accelerate.tracking.MLflowTracker",anchor:"accelerate.tracking.MLflowTracker",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": Union = None"},{name:"run_id",val:": Optional = None"},{name:"tags",val:": Union = None"},{name:"nested_run",val:": Optional = False"},{name:"run_name",val:": Optional = None"},{name:"description",val:": Optional = None"}],parametersDescription:[{anchor:"accelerate.tracking.MLflowTracker.experiment_name",description:`<strong>experiment_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variable MLFLOW_EXPERIMENT_NAME has priority over this argument.`,name:"experiment_name"},{anchor:"accelerate.tracking.MLflowTracker.logging_dir",description:`<strong>logging_dir</strong> (<code>str</code> or <code>os.PathLike</code>, defaults to <code>&quot;.&quot;</code>) &#x2014;
Location for mlflow logs to be stored.`,name:"logging_dir"},{anchor:"accelerate.tracking.MLflowTracker.run_id",description:`<strong>run_id</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, get the run with the specified UUID and log parameters and metrics under that run. The run&#x2019;s
end time is unset and its status is set to running, but the run&#x2019;s other attributes (source_version,
source_type, etc.) are not changed. Environment variable MLFLOW_RUN_ID has priority over this argument.`,name:"run_id"},{anchor:"accelerate.tracking.MLflowTracker.tags",description:`<strong>tags</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
An optional <code>dict</code> of <code>str</code> keys and values, or a <code>str</code> dump from a <code>dict</code>, to set as tags on the run. If a
run is being resumed, these tags are set on the resumed run. If a new run is being created, these tags are
set on the new run. Environment variable MLFLOW_TAGS has priority over this argument.`,name:"tags"},{anchor:"accelerate.tracking.MLflowTracker.nested_run",description:`<strong>nested_run</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Controls whether run is nested in parent run. True creates a nested run. Environment variable
MLFLOW_NESTED_RUN has priority over this argument.`,name:"nested_run"},{anchor:"accelerate.tracking.MLflowTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of new run (stored as a mlflow.runName tag). Used only when <code>run_id</code> is unspecified.`,name:"run_name"},{anchor:"accelerate.tracking.MLflowTracker.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
An optional string that populates the description box of the run. If a run is being resumed, the
description is set on the resumed run. If a new run is being created, the description is set on the new
run.`,name:"description"}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L579"}}),K=new k({props:{name:"__init__",anchor:"accelerate.tracking.MLflowTracker.__init__",parameters:[{name:"experiment_name",val:": str = None"},{name:"logging_dir",val:": Union = None"},{name:"run_id",val:": Optional = None"},{name:"tags",val:": Union = None"},{name:"nested_run",val:": Optional = False"},{name:"run_name",val:": Optional = None"},{name:"description",val:": Optional = None"}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L610"}}),J=new k({props:{name:"class accelerate.tracking.ClearMLTracker",anchor:"accelerate.tracking.ClearMLTracker",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"accelerate.tracking.ClearMLTracker.run_name",description:`<strong>run_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of the experiment. Environment variables <code>CLEARML_PROJECT</code> and <code>CLEARML_TASK</code> have priority over this
argument.`,name:"run_name"},{anchor:"accelerate.tracking.ClearMLTracker.*kwargs",description:`*<strong>*kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Kwargs passed along to the <code>Task.__init__</code> method.`,name:"*kwargs"}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L724"}}),X=new k({props:{name:"__init__",anchor:"accelerate.tracking.ClearMLTracker.__init__",parameters:[{name:"run_name",val:": str = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/accelerate/blob/v0.33.0/src/accelerate/tracking.py#L739"}}),Q=new zt({props:{source:"https://github.com/huggingface/accelerate/blob/main/docs/source/package_reference/tracking.md"}}),{c(){M=o("meta"),Le=a(),xe=o("p"),Me=a(),d(D.$$.fragment),Ee=a(),d(P.$$.fragment),Ce=a(),i=o("div"),d(H.$$.fragment),We=a(),Y=o("p"),Y.textContent=ht,qe=a(),Z=o("p"),Z.innerHTML=ft,Fe=a(),ee=o("p"),ee.innerHTML=vt,Re=a(),te=o("p"),te.innerHTML=_t,je=a(),re=o("p"),re.innerHTML=kt,Ke=a(),E=o("div"),d(N.$$.fragment),Je=a(),ae=o("p"),ae.textContent=bt,Xe=a(),C=o("div"),d(B.$$.fragment),Qe=a(),ne=o("p"),ne.innerHTML=$t,Ye=a(),I=o("div"),d(V.$$.fragment),Ze=a(),oe=o("p"),oe.innerHTML=Tt,Ie=a(),d(S.$$.fragment),Ae=a(),T=o("div"),d(O.$$.fragment),et=a(),ce=o("p"),ce.innerHTML=wt,tt=a(),se=o("div"),d(U.$$.fragment),De=a(),w=o("div"),d(G.$$.fragment),rt=a(),ie=o("p"),ie.innerHTML=xt,at=a(),le=o("div"),d(z.$$.fragment),Pe=a(),$=o("div"),d(W.$$.fragment),nt=a(),de=o("p"),de.innerHTML=yt,ot=a(),ge=o("p"),ge.textContent=Lt,ct=a(),me=o("div"),d(q.$$.fragment),He=a(),x=o("div"),d(F.$$.fragment),st=a(),pe=o("p"),pe.innerHTML=Mt,it=a(),ue=o("div"),d(R.$$.fragment),Ne=a(),y=o("div"),d(j.$$.fragment),lt=a(),he=o("p"),he.innerHTML=Et,dt=a(),fe=o("div"),d(K.$$.fragment),Be=a(),L=o("div"),d(J.$$.fragment),gt=a(),ve=o("p"),ve.innerHTML=Ct,mt=a(),_e=o("div"),d(X.$$.fragment),Ve=a(),d(Q.$$.fragment),Se=a(),ye=o("p"),this.h()},l(e){const s=Gt("svelte-u9bgzb",document.head);M=c(s,"META",{name:!0,content:!0}),s.forEach(r),Le=n(e),xe=c(e,"P",{}),v(xe).forEach(r),Me=n(e),g(D.$$.fragment,e),Ee=n(e),g(P.$$.fragment,e),Ce=n(e),i=c(e,"DIV",{class:!0});var f=v(i);g(H.$$.fragment,f),We=n(f),Y=c(f,"P",{"data-svelte-h":!0}),b(Y)!=="svelte-m7ldax"&&(Y.textContent=ht),qe=n(f),Z=c(f,"P",{"data-svelte-h":!0}),b(Z)!=="svelte-1gxe34l"&&(Z.innerHTML=ft),Fe=n(f),ee=c(f,"P",{"data-svelte-h":!0}),b(ee)!=="svelte-sgpklc"&&(ee.innerHTML=vt),Re=n(f),te=c(f,"P",{"data-svelte-h":!0}),b(te)!=="svelte-fdst8q"&&(te.innerHTML=_t),je=n(f),re=c(f,"P",{"data-svelte-h":!0}),b(re)!=="svelte-189sskg"&&(re.innerHTML=kt),Ke=n(f),E=c(f,"DIV",{class:!0});var Ue=v(E);g(N.$$.fragment,Ue),Je=n(Ue),ae=c(Ue,"P",{"data-svelte-h":!0}),b(ae)!=="svelte-va87im"&&(ae.textContent=bt),Ue.forEach(r),Xe=n(f),C=c(f,"DIV",{class:!0});var Ge=v(C);g(B.$$.fragment,Ge),Qe=n(Ge),ne=c(Ge,"P",{"data-svelte-h":!0}),b(ne)!=="svelte-czjed5"&&(ne.innerHTML=$t),Ge.forEach(r),Ye=n(f),I=c(f,"DIV",{class:!0});var ze=v(I);g(V.$$.fragment,ze),Ze=n(ze),oe=c(ze,"P",{"data-svelte-h":!0}),b(oe)!=="svelte-ijycp8"&&(oe.innerHTML=Tt),ze.forEach(r),f.forEach(r),Ie=n(e),g(S.$$.fragment,e),Ae=n(e),T=c(e,"DIV",{class:!0});var ke=v(T);g(O.$$.fragment,ke),et=n(ke),ce=c(ke,"P",{"data-svelte-h":!0}),b(ce)!=="svelte-4bz4fo"&&(ce.innerHTML=wt),tt=n(ke),se=c(ke,"DIV",{class:!0});var It=v(se);g(U.$$.fragment,It),It.forEach(r),ke.forEach(r),De=n(e),w=c(e,"DIV",{class:!0});var be=v(w);g(G.$$.fragment,be),rt=n(be),ie=c(be,"P",{"data-svelte-h":!0}),b(ie)!=="svelte-1funvbl"&&(ie.innerHTML=xt),at=n(be),le=c(be,"DIV",{class:!0});var At=v(le);g(z.$$.fragment,At),At.forEach(r),be.forEach(r),Pe=n(e),$=c(e,"DIV",{class:!0});var A=v($);g(W.$$.fragment,A),nt=n(A),de=c(A,"P",{"data-svelte-h":!0}),b(de)!=="svelte-46z6qn"&&(de.innerHTML=yt),ot=n(A),ge=c(A,"P",{"data-svelte-h":!0}),b(ge)!=="svelte-1byed2r"&&(ge.textContent=Lt),ct=n(A),me=c(A,"DIV",{class:!0});var Dt=v(me);g(q.$$.fragment,Dt),Dt.forEach(r),A.forEach(r),He=n(e),x=c(e,"DIV",{class:!0});var $e=v(x);g(F.$$.fragment,$e),st=n($e),pe=c($e,"P",{"data-svelte-h":!0}),b(pe)!=="svelte-1wn9vfq"&&(pe.innerHTML=Mt),it=n($e),ue=c($e,"DIV",{class:!0});var Pt=v(ue);g(R.$$.fragment,Pt),Pt.forEach(r),$e.forEach(r),Ne=n(e),y=c(e,"DIV",{class:!0});var Te=v(y);g(j.$$.fragment,Te),lt=n(Te),he=c(Te,"P",{"data-svelte-h":!0}),b(he)!=="svelte-109p8cy"&&(he.innerHTML=Et),dt=n(Te),fe=c(Te,"DIV",{class:!0});var Ht=v(fe);g(K.$$.fragment,Ht),Ht.forEach(r),Te.forEach(r),Be=n(e),L=c(e,"DIV",{class:!0});var we=v(L);g(J.$$.fragment,we),gt=n(we),ve=c(we,"P",{"data-svelte-h":!0}),b(ve)!=="svelte-b632ft"&&(ve.innerHTML=Ct),mt=n(we),_e=c(we,"DIV",{class:!0});var Nt=v(_e);g(X.$$.fragment,Nt),Nt.forEach(r),we.forEach(r),Ve=n(e),g(Q.$$.fragment,e),Se=n(e),ye=c(e,"P",{}),v(ye).forEach(r),this.h()},h(){_(M,"name","hf:doc:metadata"),_(M,"content",qt),_(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){t(document.head,M),l(e,Le,s),l(e,xe,s),l(e,Me,s),m(D,e,s),l(e,Ee,s),m(P,e,s),l(e,Ce,s),l(e,i,s),m(H,i,null),t(i,We),t(i,Y),t(i,qe),t(i,Z),t(i,Fe),t(i,ee),t(i,Re),t(i,te),t(i,je),t(i,re),t(i,Ke),t(i,E),m(N,E,null),t(E,Je),t(E,ae),t(i,Xe),t(i,C),m(B,C,null),t(C,Qe),t(C,ne),t(i,Ye),t(i,I),m(V,I,null),t(I,Ze),t(I,oe),l(e,Ie,s),m(S,e,s),l(e,Ae,s),l(e,T,s),m(O,T,null),t(T,et),t(T,ce),t(T,tt),t(T,se),m(U,se,null),l(e,De,s),l(e,w,s),m(G,w,null),t(w,rt),t(w,ie),t(w,at),t(w,le),m(z,le,null),l(e,Pe,s),l(e,$,s),m(W,$,null),t($,nt),t($,de),t($,ot),t($,ge),t($,ct),t($,me),m(q,me,null),l(e,He,s),l(e,x,s),m(F,x,null),t(x,st),t(x,pe),t(x,it),t(x,ue),m(R,ue,null),l(e,Ne,s),l(e,y,s),m(j,y,null),t(y,lt),t(y,he),t(y,dt),t(y,fe),m(K,fe,null),l(e,Be,s),l(e,L,s),m(J,L,null),t(L,gt),t(L,ve),t(L,mt),t(L,_e),m(X,_e,null),l(e,Ve,s),m(Q,e,s),l(e,Se,s),l(e,ye,s),Oe=!0},p:Vt,i(e){Oe||(p(D.$$.fragment,e),p(P.$$.fragment,e),p(H.$$.fragment,e),p(N.$$.fragment,e),p(B.$$.fragment,e),p(V.$$.fragment,e),p(S.$$.fragment,e),p(O.$$.fragment,e),p(U.$$.fragment,e),p(G.$$.fragment,e),p(z.$$.fragment,e),p(W.$$.fragment,e),p(q.$$.fragment,e),p(F.$$.fragment,e),p(R.$$.fragment,e),p(j.$$.fragment,e),p(K.$$.fragment,e),p(J.$$.fragment,e),p(X.$$.fragment,e),p(Q.$$.fragment,e),Oe=!0)},o(e){u(D.$$.fragment,e),u(P.$$.fragment,e),u(H.$$.fragment,e),u(N.$$.fragment,e),u(B.$$.fragment,e),u(V.$$.fragment,e),u(S.$$.fragment,e),u(O.$$.fragment,e),u(U.$$.fragment,e),u(G.$$.fragment,e),u(z.$$.fragment,e),u(W.$$.fragment,e),u(q.$$.fragment,e),u(F.$$.fragment,e),u(R.$$.fragment,e),u(j.$$.fragment,e),u(K.$$.fragment,e),u(J.$$.fragment,e),u(X.$$.fragment,e),u(Q.$$.fragment,e),Oe=!1},d(e){e&&(r(Le),r(xe),r(Me),r(Ee),r(Ce),r(i),r(Ie),r(Ae),r(T),r(De),r(w),r(Pe),r($),r(He),r(x),r(Ne),r(y),r(Be),r(L),r(Ve),r(Se),r(ye)),r(M),h(D,e),h(P,e),h(H),h(N),h(B),h(V),h(S,e),h(O),h(U),h(G),h(z),h(W),h(q),h(F),h(R),h(j),h(K),h(J),h(X),h(Q,e)}}}const qt='{"title":"Experiment Tracking","local":"experiment-tracking","sections":[{"title":"The Base Tracker Class","local":"accelerate.tracking.GeneralTracker","sections":[],"depth":2},{"title":"Integrated Trackers","local":"accelerate.tracking.TensorBoardTracker","sections":[],"depth":2}],"depth":1}';function Ft(ut){return St(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Xt extends Ot{constructor(M){super(),Ut(this,M,Ft,Wt,Bt,{})}}export{Xt as component};
